/**************************************************************
            ==================================
            Star Wars - The POV-Ray Collection
            ==================================

TCPMAP.POV - 3D model description file for use with the
Persistence of Vision Ray-Tracer, v3.0

POV-Ray code copyright (c) 1997 D M Beattie

This model is provided for personal use only. Any use of this
model for commercial gain or profit is strictly forbidden -
please see the accompanying README.TXT and Conditions of Use
before using or distributing this model.

'Star Wars' and all associated images, designs and trademarks,
(including the designs of the vehicles and objects depicted in
the Star Wars POV-Ray Collection, except where otherwise
stated) are copyright (c) 1997 Lucasfilm Ltd.

**************************************************************/

// TCPMAP.POV - Scene file to generate image maps for TIE-series fighter models.
// For best results, render this file with no alterations at 400*400, with NO antialiasing.
// Either copy the resulting .TGA file into the scene file path, or make sure
// your POV-Ray library path includes the image output directory.

camera {
  orthographic
  right <1,0,0>
  up <0,1,0>
  location <0,0,-5>
  look_at <0,0,0>
}


object {
  plane {<0,0,1>, 0}
  texture {pigment {colour rgb <(0/255),0,0>} finish {ambient 1}}
}
#declare T1 = texture {
  pigment {colour rgb <(1/255), 0, 1>}
  finish {ambient 1}
}

object {cylinder {<0,-10,0>, <0,10,0>, 0.005} texture {T1} rotate <0,0,0>}
object {cylinder {<0,-10,0>, <0,10,0>, 0.005} texture {T1} rotate <0,0,90>}
object {cylinder {<0,-10,0>, <0,10,0>, 0.005} texture {T1} rotate <0,0,45>}
object {cylinder {<0,-10,0>, <0,10,0>, 0.005} texture {T1} rotate <0,0,135>}
object {torus {0.35,0.005} texture {T1} rotate <90,0,0>}
object {torus {0.37,0.005} texture {T1} rotate <90,0,0>}
